<?php


return  
    [
        'model' => [
            'model' => \MediaFiles\MediaFile\Models\File::class,
            'repository' => \MediaFiles\MediaFile\Repositories\Eloquent\FileRepository::class,
            'table' => 'files',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'project_id',  'name',  'path',  'extension',  'channels',  'duration',  'sampling_rate',  'bit_rate',  'frame_rate',  'width',  'height',  'type',  'created_at',  'modified_at',  ')',  '),',  'id),'],
            'translatables' => [],
            'upload_folder' => 'media_file/file',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "project_id" => [
                "key" => "project_id", 
                "type" => "text", 
                "label" => 'media_file::file.label.project_id', 
                'sort' => true,
                'roles' => [],
            ],
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'media_file::file.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            "path" => [
                "key" => "path", 
                "type" => "text", 
                "label" => 'media_file::file.label.path', 
                'sort' => true,
                'roles' => [],
            ],
            "extension" => [
                "key" => "extension", 
                "type" => "text", 
                "label" => 'media_file::file.label.extension', 
                'sort' => true,
                'roles' => [],
            ],
            "channels" => [
                "key" => "channels", 
                "type" => "text", 
                "label" => 'media_file::file.label.channels', 
                'sort' => true,
                'roles' => [],
            ],
            "duration" => [
                "key" => "duration", 
                "type" => "text", 
                "label" => 'media_file::file.label.duration', 
                'sort' => true,
                'roles' => [],
            ],
            "sampling_rate" => [
                "key" => "sampling_rate", 
                "type" => "text", 
                "label" => 'media_file::file.label.sampling_rate', 
                'sort' => true,
                'roles' => [],
            ],
            "bit_rate" => [
                "key" => "bit_rate", 
                "type" => "text", 
                "label" => 'media_file::file.label.bit_rate', 
                'sort' => true,
                'roles' => [],
            ],
            "frame_rate" => [
                "key" => "frame_rate", 
                "type" => "text", 
                "label" => 'media_file::file.label.frame_rate', 
                'sort' => true,
                'roles' => [],
            ],
            "width" => [
                "key" => "width", 
                "type" => "text", 
                "label" => 'media_file::file.label.width', 
                'sort' => true,
                'roles' => [],
            ],
            "height" => [
                "key" => "height", 
                "type" => "text", 
                "label" => 'media_file::file.label.height', 
                'sort' => true,
                'roles' => [],
            ],
            "type" => [
                "key" => "type", 
                "type" => "text", 
                "label" => 'media_file::file.label.type', 
                'sort' => true,
                'roles' => [],
            ],
            "modified_at" => [
                "key" => "modified_at", 
                "type" => "text", 
                "label" => 'media_file::file.label.modified_at', 
                'sort' => true,
                'roles' => [],
            ],
            ")" => [
                "key" => ")", 
                "type" => "text", 
                "label" => 'media_file::file.label.)', 
                'sort' => true,
                'roles' => [],
            ],
            ")," => [
                "key" => "),", 
                "type" => "text", 
                "label" => 'media_file::file.label.),', 
                'sort' => true,
                'roles' => [],
            ],
            "id)," => [
                "key" => "id),", 
                "type" => "text", 
                "label" => 'media_file::file.label.id),', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            'project_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'media_file::file.label.project_id',
                "placeholder" => 'media_file::file.placeholder.project_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'name' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'media_file::file.label.name',
                "placeholder" => 'media_file::file.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'path' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'media_file::file.label.path',
                "placeholder" => 'media_file::file.placeholder.path',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'extension' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'media_file::file.label.extension',
                "placeholder" => 'media_file::file.placeholder.extension',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'channels' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'media_file::file.label.channels',
                "placeholder" => 'media_file::file.placeholder.channels',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'duration' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'media_file::file.label.duration',
                "placeholder" => 'media_file::file.placeholder.duration',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'sampling_rate' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'media_file::file.label.sampling_rate',
                "placeholder" => 'media_file::file.placeholder.sampling_rate',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'bit_rate' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'media_file::file.label.bit_rate',
                "placeholder" => 'media_file::file.placeholder.bit_rate',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'frame_rate' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'media_file::file.label.frame_rate',
                "placeholder" => 'media_file::file.placeholder.frame_rate',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'width' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'media_file::file.label.width',
                "placeholder" => 'media_file::file.placeholder.width',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'height' => [
                "element" => 'decimal',
                "type" => 'decimal',
                "label" => 'media_file::file.label.height',
                "placeholder" => 'media_file::file.placeholder.height',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => 'media_file::file.label.type',
                "placeholder" => 'media_file::file.placeholder.type',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'modified_at' => [
                "element" => 'date_time_picker',
                "type" => 'date_time_picker',
                "label" => 'media_file::file.label.modified_at',
                "placeholder" => 'media_file::file.placeholder.modified_at',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => 'media_file::file.label.)',
                "placeholder" => 'media_file::file.placeholder.)',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            '),' => [
                "element" => 'package::package.formcontrols.PRIMARY',
                "type" => 'package::package.formcontrols.PRIMARY',
                "label" => 'media_file::file.label.),',
                "placeholder" => 'media_file::file.placeholder.),',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'id),' => [
                "element" => 'package::package.formcontrols.INDEX',
                "type" => 'package::package.formcontrols.INDEX',
                "label" => 'media_file::file.label.id),',
                "placeholder" => 'media_file::file.placeholder.id),',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'media_file/file/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'media_file/file/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'media_file/file',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'media_file/file',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'media_file/file',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'media_file/file',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'media_file::file.label.created_at',
            'name' => 'media_file::file.label.name',
            'status' => 'media_file::file.label.status',
        ],
        'groups' => [
            'main' => 'media_file::file.groups.main',
            'details' => 'media_file::file.groups.details',
            'images' => 'media_file::file.groups.images',
            'settings' => 'media_file::file.groups.settings',
        ],
        'controller' => [
            'provider' => 'MediaFiles',
            'package' => 'MediaFile',
            'module' => 'File',
        ],
    ];
