<?php

namespace MediaFiles\MediaFile\Seeders;

use DB;
use Illuminate\Database\Seeder;

class FileTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('files')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'media_file.file.view',
                'name'      => 'View File',
            ],
            [
                'slug'      => 'media_file.file.create',
                'name'      => 'Create File',
            ],
            [
                'slug'      => 'media_file.file.edit',
                'name'      => 'Update File',
            ],
            [
                'slug'      => 'media_file.file.delete',
                'name'      => 'Delete File',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/media_file/file',
                'name'        => 'File',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/media_file/file',
                'name'        => 'File',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'file',
                'name'        => 'File',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'MediaFile',
                'module'    => 'File',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'media_file.file.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
